# Changelog

## 2024-12-14 - 1.5.1 - fix(core)
Refine logging format in CodeFeed class

- Modified console log format in fetchAllCommitsFromInstance method for better readability.

## 2024-12-14 - 1.5.0 - feat(core)
Refactor TypeScript interfaces and improve module exports

- Moved TypeScript interfaces to a dedicated file (ts/interfaces/index.ts).
- Updated import/export structure to improve code readability and maintainability.
- Enhanced the package.json to utilize a module exports field for better resolution.

## 2024-12-13 - 1.4.1 - fix(core)
Corrected log formatting for commit information output in CodeFeed

- Fixed formatting issue in commit log output within the CodeFeed class to ensure proper display of timestamps.

## 2024-12-13 - 1.4.0 - feat(CodeFeed)
Enhance commit results with human-readable time

- Integrated smarttime plugin to calculate and format timestamps into human-readable time.
- Updated dependencies in package.json to include smarttime and adjusted versions for existing packages.
- Improved fetchAllCommitsFromInstance method to display formatted time ago information for each commit.

## 2024-12-13 - 1.3.0 - feat(core)
Export CommitResult interface for external use.

- Changed CommitResult from a local interface to an exported interface, allowing for external usage and integration.

## 2024-12-13 - 1.2.1 - fix(core)
No changes detected


## 2024-12-13 - 1.2.0 - feat(core)
Add organization-level activity fetching and RSS parsing

- Integrated smartxml package for XML parsing.
- Implemented fetching of all organizations within a Gitea instance.
- Added functionality to check new activities in organization RSS feeds.
- Enhanced fetching logic to include repository commits and tags.

## 2024-12-13 - 1.1.0 - feat(core)
Add tracking of commits published on npm

- Introduced a check for published commits on npm using smartnpm.
- Enhanced fetchAllCommitsFromInstance to include 'publishedOnNpm' status in results.

## 2024-12-13 - 1.0.2 - fix(core)
Improve error handling in fetchRecentCommitsForRepo method

- Refined the console error message for better clarity.
- Updated the fetchRecentCommitsForRepo method to stop fetching when encountering a commit older than 24 hours.

## 2024-12-13 - 1.0.1 - initial release
Initial release of the project

