export interface RepositoryOwner {
  login: string;
}

export interface Repository {
  owner: RepositoryOwner;
  name: string;
}

export interface CommitAuthor {
  date: string;
}

export interface CommitDetail {
  message: string;
  author: CommitAuthor;
}

export interface Commit {
  sha: string;
  commit: CommitDetail;
}

export interface Tag {
  commit?: {
    sha?: string;
  };
}

export interface RepoSearchResponse {
  data: Repository[];
}

export interface CommitResult {
  baseUrl: string;
  org: string;
  repo: string;
  timestamp: string;
  hash: string;
  commitMessage: string;
  tagged: boolean;
  publishedOnNpm: boolean;
  prettyAgoTime: string;
}
